events when using on/off on the visualizer instance for example:

    const onVisualizerLoaded = ({ detail }) => {
     const visualizerApp: Visualizer = detail.visualizer;
     const applications = visualizerApp.GetApplicationsList();
     console.log(applications);
    };
    const containerElement = document.querySelector('.visualizer');
    containerElement.addEventListener('visualizerLoaded', onVisualizerLoaded);

## Index

### Events

- OnContainerInjected
- OnProductChanged
- OnSceneLoaded
- OnVisualizerLoaded
- onAsyncOperationEnded
- onAsyncOperationStarted
- onHotspotClicked
- onOrderSample
- onProductAddedToCart
- onProductAddedToFavorites
- onProductRemovedFromFavorites
- onSceneAddedToFavorites
- onSceneDisplayed
- onSceneRemovedFromFavorites
- onSceneTouched

## Events

### OnContainerInjected

OnContainerInjected: (event: CustomEvent & { detail: { visualizer: Visualizer } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { visualizer: Visualizer } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { visualizer: Visualizer } }

    #### Returns void

### OnProductChanged

OnProductChanged: (event: CustomEvent & { detail: { product: IProduct } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { product: IProduct } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { product: IProduct } }

    #### Returns void

### OnSceneLoaded

OnSceneLoaded: (event: CustomEvent & { detail: { scene: IScene } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { scene: IScene } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { scene: IScene } }

    #### Returns void

### OnVisualizerLoaded

OnVisualizerLoaded: (event: CustomEvent & { detail: { visualizer: Visualizer } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { visualizer: Visualizer } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { visualizer: Visualizer } }

    #### Returns void

### onAsyncOperationEnded

onAsyncOperationEnded: (event: CustomEvent & { detail: { processId: string } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { processId: string } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { processId: string } }

    #### Returns void

### onAsyncOperationStarted

onAsyncOperationStarted: (event: CustomEvent & { detail: { processId: string } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { processId: string } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { processId: string } }

    #### Returns void

### onHotspotClicked

onHotspotClicked: (event: CustomEvent & { detail: { application: IApplication } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { application: IApplication } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { application: IApplication } }

    #### Returns void

### onOrderSample

onOrderSample: (event: CustomEvent & { detail: { product: IProduct } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { product: IProduct } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { product: IProduct } }

    #### Returns void

### onProductAddedToCart

onProductAddedToCart: (event: CustomEvent & { detail: { product: IProduct } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { product: IProduct } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { product: IProduct } }

    #### Returns void

### onProductAddedToFavorites

onProductAddedToFavorites: (event: CustomEvent & { detail: { favorites: IFavoriteProductList; product: IProduct } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { favorites: IFavoriteProductList; product: IProduct } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { favorites: IFavoriteProductList; product: IProduct } }

    #### Returns void

### onProductRemovedFromFavorites

onProductRemovedFromFavorites: (event: CustomEvent & { detail: { favorites: IFavoriteProductList; product: IProduct } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { favorites: IFavoriteProductList; product: IProduct } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { favorites: IFavoriteProductList; product: IProduct } }

    #### Returns void

### onSceneAddedToFavorites

onSceneAddedToFavorites: (event: CustomEvent & { detail: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene } }

    #### Returns void

### onSceneDisplayed

onSceneDisplayed: (event: CustomEvent & { detail: { scene: IFavoriteScene } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { scene: IFavoriteScene } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { scene: IFavoriteScene } }

    #### Returns void

### onSceneRemovedFromFavorites

onSceneRemovedFromFavorites: (event: CustomEvent & { detail: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene } }) => void

#### Type declaration

- - (event: CustomEvent & { detail: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene } }): void

  - #### Parameters

    - ##### event: CustomEvent & { detail: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene } }

    #### Returns void

### onSceneTouched

onSceneTouched: () => void

#### Type declaration

- - (): void

  - #### Returns void

Generated using TypeDoc